Skip to content

DIVIDEND PURIFICATION

Request

Get Dividend Purification Results for stocks. You can query by stock ticker.

Request body:

ParameterValueDescription
stock"AAPL"Stock symbol

Response body:

ParameterTypeDescription
non-compliant_revenue_rationumberPercentage of non-compliant revenue out of total revenue
symbolstringStock symbol
reported_quarterstringReported quarter
dividend_per_share_for_quarternumberDividend per share for the latest quarter
reported_yearnumberReported year
dividend_purification_amount_per_sharenumberDividend purification amount per share (DPAPS)
report_datedateReport date
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog=="
Example:c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog==
Bodyapplication/jsonrequired
stockstringrequired

Stock symbol

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/dividends/pure' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog==' \
--data '{
    "stock":"AAPL"
}'

Responses

Dynamic dividend purification result for the requested ticker

Bodyapplication/json
symbolstring
non-compliant_revenue_rationumber

Percentage of non-compliant revenue out of total revenue

reported_quarterstring
dividend_per_share_for_quarternumber
reported_yearnumber
dividend_purification_amount_per_sharenumber

Dividend purification amount per share (DPAPS)

report_datestring, (date)
Response
{ "symbol": "string", "non-compliant_revenue_ratio": 0, "reported_quarter": "string", "dividend_per_share_for_quarter": 0, "reported_year": 0, "dividend_purification_amount_per_share": 0, "report_date": "2019-08-24" }